<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>$(TargetFramework)</TargetFramework>
        <ImplicitUsings>$(ImplicitUsings)</ImplicitUsings>
        <Nullable>$(Nullable)</Nullable>
        <IsPackable>False</IsPackable>
        <IsPublishable>False</IsPublishable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentAssertions" Version="6.9.0" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Testing" Version="7.0.2" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.4.1" />
        <PackageReference Include="xunit" Version="2.4.2" />
        <PackageReference Include="Xunit.Extensions.Logging" Version="1.1.0" />
        <PackageReference Include="xunit.runner.visualstudio" Version="2.4.5">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="coverlet.collector" Version="3.2.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
      <None Remove="appsettings.Test.json" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\src\Modular.Api\Modular.Api.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Xunit.Extensions.Logging">
        <HintPath>..\..\..\..\..\..\..\..\home\diegosasw\.nuget\packages\xunit.extensions.logging\1.1.0\lib\netstandard2.1\Xunit.Extensions.Logging.dll</HintPath>
      </Reference>
    </ItemGroup>

</Project>
